package com.bocloud.ims.common.enums;

/**
 * HMC逻辑的状态
 *
 * @author sxp
 * @since Jun 13, 2018
 */
public enum HmcPartitionStatus {

	// 正在运行
	Running("running"),
	// 开放式固件
	Open_Firmware("open firmware"),
	// 正在启动
	Starting("starting"),

	// 未激活
	Not_Activated("not activated"),
	// 正在关闭
	ShuttingDown("shutting down"),

	// 挂起
	Suspended("suspended"),
	// 正在挂起
	Suspending("suspending"),

	// 错误
	Error("error");

	private HmcPartitionStatus(String status) {
		this.status = status;
	}

	private String status;

	public String getStatus() {
		return status;
	}

}